Subject: RE: WG Request: Adopt draft-haberman-ipv6-ra-flags-option-00.txt

From: "Durand, Alain" <[email-masked]>
Date: Mon, 5 Feb 2007 12:14:10 -0500

I would like to ask what is the transition plan for "legacy" IPv6 hosts
that do not implement this extension before I could consider this draft
a viable approach.

We have a number of bits that are currently defined that may be
questionable,
(the best example: O & M), so I would like to see some more
justification
why more bits are needed for the general RA case and maybe some clean-up
of the current bits before we embark into defining a new space for
potentially questionable new cases.

So, at this point, I do not support this draft.

  - Alain.

> -----Original Message-----
> From: Brian Haberman [mailto:[email-masked]] 
> Sent: Friday, February 02, 2007 12:41 PM
> To: [email-masked]
> Subject: WG Request: Adopt draft-haberman-ipv6-ra-flags-option-00.txt
> 
> All,
>      This is a formal call to request IPv6 WG feedback on 
> adopting the below draft.  The premise of the draft is to 
> expand the flags field that is quickly running out of bits.
> 
>      Please provide your preference (positive or negative) on 
> having this document become an IPv6 WG document.  Comments on 
> the contents are most welcome as well.
> 
> Regards,
> Brian
> 
> 
> -------- Original Message --------
> Subject: I-D ACTION:draft-haberman-ipv6-ra-flags-option-00.txt
> Date: Tue, 01 Aug 2006 15:50:01 -0400
> From: [email-masked]
> Reply-To: [email-masked]
> To: [email-masked]
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
> 	Title		: IPv6 Router Advertisement Flags Option
> 	Author(s)	: B. Haberman, R. Hinden
> 	Filename	: draft-haberman-ipv6-ra-flags-option-00.txt
> 	Pages		: 7
> 	Date		: 2006-8-1
> 	
> The IPv6 Neighbor Discovery's Router Advertisement message 
> contains an 8-bit field reserved for single-bit flags.  
> Several protocols have reserved flags in this field and 
> others are preparing to reserve a sufficient number of flags 
> to exhaust the field.  This document defines an option to the 
> Router Advertisement message that expands the available 
> number of flag bits available.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-haberman-ipv6-ra-fla
> gs-option-00.txt
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Bob Hinden <[email-masked]>
Date: Mon, 5 Feb 2007 13:20:37 -0800

Hi,

> that do not implement this extension before I could consider this  

RFC2461, Section 4.2 says the following about new options:

       Future versions of this protocol may define new option types.
       Receivers MUST silently ignore any options they do not recognize
       and continue processing the message.

Any legacy host that didn't support the new option also wouldn't know  
how to support anything defined in the extension space.  So I don't  
think there is a problem with legacy hosts.

> potentially questionable new cases.

The intent of the draft was to document in one place all of the  
current bits and provide a way of creating new ones.

In my personal view, any discussion cleaning up the RA bits would  
take a very long time (based on the time it took for the w.g. to  
agree on the current text on the O&M bits), so I see very little  
value in trying to clean up the bits.  Further, back to your first  
question, cleaning up the bits would create a significant operational  
problem.

Bob